._mixin_icon_size(@size) {
    svg {
        width: @size;
        height: @size;
    }
}

._mixin_icon_theme(@fill, @fill_hover, @bg) {
    fill: @fill;
    &.icon_hover,
    &.icon_invert {
        &:before {
            background-color: @bg;
        }
    }
    &.icon_hover:hover,
    &.icon_invert {
        fill: @fill_hover;
    }
}
